#!/bin/bash
#SBATCH --mail-user=mcnabbc1@cardiff.ac.uk
#SBATCH --mail-type=END
#SBATCH --job-name=SW2_dcm2bids
#SBATCH --partition=cubric-centos7
#SBATCH -o /home/sapcm15/sbatch_reports/SW2_dcm2bids_%j.out
#SBATCH -e /home/sapcm15/sbatch_reports/SW2_dcm2bids_%j.err
#SBATCH --array=1-1


export PATH=$PATH:/home/sapcm15/gitlab/brainandgenomicshub/DownloadData


# use the SLURM_ARRAY_TASK_ID to define the subject ID (sub) from the subject_list.txt file
sub=$(sed -n ${SLURM_ARRAY_TASK_ID}p /home/sapcm15/gitlab/brainandgenomicshub/DownloadData/subject_list.txt)

# run the analysis - note that the first argument is the participant ID - they will get their own SLURM job
batch_dcm2bids.sh ${sub}

