# Analysis scripts for Brain and Genomics (SW<sup>2</sup>) Hub 
**Carolyn McNabb**</br>
Last updated: September 2024

**Here, you will find scripts and instructions for analysing MRI data for the Brain and Genomics Hub study.**


## Downloading MRI data from XNAT
First, you'll need to download the MRI data from XNAT. To do this, use the scripts in the `DownloadData` folder. 

## DICOM to BIDS conversion
Once data are downloaded, you can convert the DICOM files to NifTI format and arrange these according to the Brain Imaging Data Structure ([BIDS](https://bids-specification.readthedocs.io/en/stable/)). To do this, use the scripts in the `DownloadData` folder. 
